Subject: Re: RFC: delete UART current-speed from 4xx DTS?

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 17 Sep 2009 07:31:06 +1000

> Ok, so I think that is related to what I originally hit.
> 
> I played around with removing the current-speed property on canyonlands today,
> and noticed that I would get no console output at all unless I specified a
> baudrate with console=ttyS0,115200.  That was sort of contrary to what I found
> with bamboo, so I diffed the configs to see why.  Bamboo has udbg enabled and
> hence has legacy_serial builtin, whereas canyonlands just has of_serial.
> 
> So on boards where of_serial is the only serial driver, we need either an
> accurate current-speed property, or a specific baudrate on the command line.
> That makes a bit more tenuous to remove the properties entirely, because if
> people disable udbg and are relying on that behavior they get no more console
> output.  Need to think on that a bit I guess.
> 
> Alternatively, we could try patching of_serial.c to do the baudrate probe
> as well.

Well, I've always wondered why we just don't put the probe in the 8250
driver... I proposed it on the list a while back and there was no
serious objection, but then forgot about it :-)

We should do it, and check if the result is sane (looks like a standard
speed). If it is, we should then just used it.

Ben.